<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>Photo Gallery</ion-title>
    <ion-buttons slot="end">
      <ion-toggle (click)="darkModeTogglePressed()" class="darkModeToggle"></ion-toggle>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title>Photo Gallery</ion-title>
    </ion-toolbar>
  </ion-header>

    <ion-grid id="content">
      <ion-row>
        <ion-col size="6" *ngFor="let photo of photoService.photos; index as position">
  
            <ion-img src="{{ photo.base64 ? photo.base64 : photo.webviewPath }}"
              (click)="showActionSheet(photo, position, $event)"></ion-img>
  
        </ion-col>
      </ion-row>
    </ion-grid>

    <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button (click)="photoService.addNewToGallery()">
        <ion-icon name="camera"></ion-icon>
      </ion-fab-button>
    </ion-fab>
</ion-content>

<style>
  #modal img {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      border-radius: 15px;
      max-height: 90vh;
      max-width: 90vw;
      object-fit: contain;
  }
</style>